#!/usr/bin/env python


# Keybinder pre-defined values.


Commands = [
  # ( Display, Stored )
  ('(none)', None),
  ('Netcomm',
    [
      "ChangeCommStatus",
      "UpFreq",
      "DownFreq",
      "SwitchWebcam",
      "SwitchSecured",
    ] ),
  ('Communication',
    [
      "Cockpit::SkipMusicTrack",
      "Screenshot",
      "CommFormup",
      "CommBreakForm",
      "CommHelpMeOut",
      "CommAttackTarget",
    ] ),
  ('Chat',
    [
      "Comm1Key",
      "Comm2Key",
      "Comm3Key",
      "Comm4Key",
      "Comm5Key",
      "Comm6Key",
      "Comm7Key",
      "Comm8Key",
      "Comm9Key",
    ] ),
  ('Target Memory - Save',
    [
      "SaveTarget1",
      "SaveTarget2",
      "SaveTarget3",
      "SaveTarget4",
      "SaveTarget5",
      "SaveTarget6",
      "SaveTarget7",
      "SaveTarget8",
      "SaveTarget9",
    ] ),
  ('Target Memory - Recall',
    [
      "RestoreTarget1",
      "RestoreTarget2",
      "RestoreTarget3",
      "RestoreTarget4",
      "RestoreTarget5",
      "RestoreTarget6",
      "RestoreTarget7",
      "RestoreTarget8",
      "RestoreTarget9",
    ] ),
  ('Flight',
    [
      "UpKey",
      "Downkey",
      "LeftKey",
      "RightKey",
      "RollLeftKey",
      "RollRightKey",
      "Joystick::Mode::InertialXYToggle",
      "Joystick::Mode::InertialXZToggle",
      "Joystick::Mode::RollToggle",
      "Joystick::Mode::BankToggle",
    ] ),
  ('Throttle',
    [
      "SwitchCombatMode",
      "JumpKey",
      "AccelKey",
      "DecelKey",
      "StopKey",
      "StartKey",
      "ABKey",
      "SetVelocityRefKey",
      "SetVelocityNullKey",
      "ToggleWarpDrive",
      "ASAP",
      #("InertialToggle", "Inertial Slide (Shelton Slide)"),
      ("SheltonKey", "Inertial Slide (Shelton Slide)"),
    ] ),
  ('Mating',
    [
      "EjectKey",
      "EjectCargoKey",
      "DockKey",
      "UnDockKey"
      "RequestClearenceKey",
    ] ),
  ('Combat',
    [
      "FireKey",
      "WeapSelKey",
      "ReverseWeapSelKey",
      "MissileKey",
      "MisSelKey",
      "ReverseMisSelKey",
      "TurretTargetKey",
      #"TurretAIKey",
      "TurretAIOn",
      "TurretAIOff",
      "TurretAIFireAtWill",
      #"SwitchControl",
      "TurretControl",
      "CloakKey",
      "ECMKey",
    ] ),
  ('Targeting',
    [
      "TargetKey",
      "ReverseTargetKey",
      "SigTargetKey",
      "ReverseSigTargetKey",
      "NearestTargetKey",
      "ReverseNearestTargetKey",
      "SubUnitTargetKey",
      "UnitTargetKey",
      "ReverseUnitTargetKey",

      "NearestHostileTargetKey",
      "NearestDangerousHostileKey",
      "NearestFriendlyKey",
      "NearestBaseKey",
      "NearestPlanetKey",
      "NearestJumpKey",

      "PickTargetKey",
      "LockTargetKey",
    ] ),
  ('Camera',
    [
      "Cockpit::Inside",
      "Cockpit::InsideLeft",
      "Cockpit::InsideRight",
      "Cockpit::InsideBack",
      "Cockpit::OutsideTarget",
      "Cockpit::ViewTarget",
      "Cockpit::PanTarget",
      "Cockpit::ZoomIn",
      "Cockpit::Behind",
      "Cockpit::Pan",
      "Cockpit::ZoomOut",
    ] ),
  ('Cockpit',
    [
      "Cockpit::MapKey",
      "Cockpit::NavScreen",
      "Cockpit::SwitchLVDU",
      "Cockpit::SwitchRVDU",
      "Cockpit::PitchDown",
      "Cockpit::PitchUp",
      "Cockpit::YawLeft",
      "Cockpit::YawRight",
      "Cockpit::ScrollDown",
      "Cockpit::ScrollUp",
      "Cockpit::ScrollDown",
      "Cockpit::ScrollUp",
    ] ),
  ('Sound',
    [
      "VolumeInc",
      "VolumeDec",
      "MusicVolumeInc",
      "MusicVolumeDec",
    ] ),
  ('analog',
    [
      "x",
      "-x",
      "y",
      "-y",
      "z",
      "-z",
      "throttle",
      "-throttle",
    ] ),
  ('Meta',
    [
      "Cockpit::BringConsole",
      "TextMessage",
      "PauseKey",
      "TimeReset",
      "SuicideKey",
      "Respawn",
      "Cockpit::Quit",
      "TimeInc",
    ] ),
  ('Custom',
    [
    ] ),
]
